Package com.independentsoft.office.odf

# Class Column

java.lang.Object
com.independentsoft.office.odf.Column

public class Column extends Object
Represents the attributes for every column in a table.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Column()`
  Initializes a new instance of the Column class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Column`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getDefaultCellStyle()`
  Gets the default cell style.
  `int`
  `getNumberOfRepeatedColumns()`
  Gets the number of columns to which a column description applies.
  `String`
  `getStyle()`
  Gets the style.
  `Visibility`
  `getVisibility()`
  Specifies whether a column is visible.
  `void`
  `setDefaultCellStyle​(String defaultCellStyle)`
  Sets the default cell style.
  `void`
  `setNumberOfRepeatedColumns​(int numberOfRepeatedColumns)`
  Sets the number of columns to which a column description applies.
  `void`
  `setStyle​(String style)`
  Sets the style.
  `void`
  `setVisibility​(Visibility visibility)`
  Specifies whether a column is visible.
  `String`
  `toString()`
  Converts the value of the current Column object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Column

    public Column()
    Initializes a new instance of the Column class.

- ## Method Details

  - ### clone

    public Column clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current Column object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getStyle

    public String getStyle()
    Gets the style.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(String style)
    Sets the style.
    Parameters:
      `style` - the new style

  - ### getDefaultCellStyle

    public String getDefaultCellStyle()
    Gets the default cell style.
    Returns:
      the default cell style

  - ### setDefaultCellStyle

    public void setDefaultCellStyle​(String defaultCellStyle)
    Sets the default cell style.
    Parameters:
      `defaultCellStyle` - the new default cell style

  - ### getVisibility

    public Visibility getVisibility()
    Specifies whether a column is visible.
    Returns:
      the visibility

  - ### setVisibility

    public void setVisibility​(Visibility visibility)
    Specifies whether a column is visible.
    Parameters:
      `visibility` - the new visibility

  - ### getNumberOfRepeatedColumns

    public int getNumberOfRepeatedColumns()
    Gets the number of columns to which a column description applies. If two or more columns are adjoining, and have the same style, this attribute may be used to describe them with a single element.
    Returns:
      the number of repeated columns

  - ### setNumberOfRepeatedColumns

    public void setNumberOfRepeatedColumns​(int numberOfRepeatedColumns)
    Sets the number of columns to which a column description applies. If two or more columns are adjoining, and have the same style, this attribute may be used to describe them with a single element.
    Parameters:
      `numberOfRepeatedColumns` - the new number of repeated columns